jQuery(document).ready(function($){
	
	var targetEditor;
	
	$('#tinySample-meta').css('marginLeft','-100000em');
	
	$('#sample_text_box').overlay();
	var api_overlay = $('#sample_text_box').data("overlay");
	
	function tiny_plugin() {
		return "[tiny-plugin]";
	}
	 
	(function() {
		tinymce.create('tinymce.plugins.tinyplugin', {
			init : function(ed, url){
				ed.addButton('tinySampleText', {
					title : 'Insert Sample Text',
					onclick : function() {
					
						targetEditor = tinyMCE.activeEditor.id;
						api_overlay.load();
						
					},
					image: url + "/custom-tinyMCE.png"
				});
			}
		});
	 
		tinymce.PluginManager.add('tinySampleText', tinymce.plugins.tinyplugin);
	 
	})();
	
	$('#category_sample').change(function(){
		$('.category_sample_text').hide();
		var uniqueID = $(':selected',this).val();
		if(uniqueID) $('#'+ uniqueID).show();
	});

	$('.category_sample_text span').each(function(){
		$(this).click(function(){
			var content = $(this).html();
			tinyMCE.getInstanceById('sample_text_editor').setContent(content);
		})
	});

	$('.add-tinyMCE-text').click(function(){
		
		var inserted_content = tinyMCE.getInstanceById('sample_text_editor').getContent(),
			formatted = inserted_content.replace(/^<p>+|<\/p>+$/g, '')

		tinyMCE.execInstanceCommand(targetEditor, 'mceInsertContent', false, formatted);
		$('#content').html(function(){ return $(this).html()+formatted});
		
		api_overlay.close();
		
	});
	$('.cancel-tinyMCE-text').click(function(){
		api_overlay.close();
	});
	
	api_overlay.onClose(function(){
		tinyMCE.getInstanceById('sample_text_editor').setContent('');
		$('#category_sample option:selected').removeAttr('selected');
		$("#category_sample option[value='0']").attr('selected', 'selected');
		$('.category_sample_text').hide();
	});

});